#include <bits/stdc++.h>

using namespace std;

int main() {

    int n, k, x;
    scanf("%d %d %d", &n, &k, &x);

    if(k != 3) {
        printf("-1\n");
        return 0;
    }

    if(n <= 3) {
        printf("-1\n");
        return 0;
    }

    for(int i = 0; i < n; i++) {
        if(i < k) {
            printf("1 ");
            continue;
        }

        if(i == k) {
            printf("%d ", 1 + x);
            continue;
        }

        printf("2 ");
    }

    printf("\n");
    return 0;
}